Summary: Easy API to create and parse X.509 and CMS related objects
Name: libksba
Version: 1.3.0
Release: r1.0
License: GPLv2+ | LGPLv3+ | GPLv3+
Group: base
Packager: Wind River <info@windriver.com>
URL: http://www.gnupg.org/related_software/libksba/
BuildRequires: pkgconfig-native
BuildRequires: libtool-cross
BuildRequires: autoconf-native
BuildRequires: libtool-native
BuildRequires: libgpg-error
BuildRequires: virtual/libc
BuildRequires: virtual/x86_64-wrs-linux-compilerlibs
BuildRequires: gnu-config-native
BuildRequires: virtual/x86_64-wrs-linux-gcc
BuildRequires: texinfo-native
BuildRequires: automake-native

%description
Easy API to create and parse X.509 and CMS related objects.

%package -n libksba-dbg
Summary: Easy API to create and parse X.509 and CMS related objects - Debugging files
Group: devel
Suggests: libgpg-error-dbg
Suggests: libc6-dbg
Recommends: libksba8 = 1.3.0-r1.0

%description -n libksba-dbg
Easy API to create and parse X.509 and CMS related objects.  This package
contains ELF symbols and related sources for debugging purposes.

%package -n libksba-staticdev
Summary: Easy API to create and parse X.509 and CMS related objects - Development files (Static Libraries)
Group: devel
Requires: libksba-dev = 1.3.0-r1.0

%description -n libksba-staticdev
Easy API to create and parse X.509 and CMS related objects.  This package
contains static libraries for software development.

%package -n libksba-dev
Summary: Easy API to create and parse X.509 and CMS related objects - Development files
Group: devel
Requires: libksba8 = 1.3.0-r1.0
Requires: /bin/sh
Suggests: libgpg-error-dev
Suggests: libc6-dev

%description -n libksba-dev
Easy API to create and parse X.509 and CMS related objects.  This package
contains symbolic links, header files, and related items necessary for
software development.

%package -n libksba-doc
Summary: Easy API to create and parse X.509 and CMS related objects - Documentation files
Group: doc

%description -n libksba-doc
Easy API to create and parse X.509 and CMS related objects.  This package
contains documentation.

%package -n libksba-locale
Summary: Easy API to create and parse X.509 and CMS related objects
Group: base

%description -n libksba-locale
Easy API to create and parse X.509 and CMS related objects.

%package -n libksba8
Summary: Easy API to create and parse X.509 and CMS related objects
Group: base
Requires: rtld(GNU_HASH)
Requires: libc.so.6(GLIBC_2.3)(64bit)
Requires: libc.so.6(GLIBC_2.14)(64bit)
Requires: libc.so.6()(64bit)
Requires: libc.so.6(GLIBC_2.2.5)(64bit)
Requires: libc6 >= 2.20+sdkwrl7+27
Requires: libgpg-error.so.0()(64bit)
Requires: libgpg-error0 >= 1.12
Requires(post): rtld(GNU_HASH)
Requires(post): libc.so.6(GLIBC_2.3)(64bit)
Requires(post): libc.so.6(GLIBC_2.14)(64bit)
Requires(post): libc.so.6()(64bit)
Requires(post): libc.so.6(GLIBC_2.2.5)(64bit)
Requires(post): libc6 >= 2.20+sdkwrl7+27
Requires(post): libgpg-error.so.0()(64bit)
Requires(post): libgpg-error0 >= 1.12
Provides: libksba.so.8()(64bit)
Provides: libksba.so.8(KSBA_PRIVATE_TESTS)(64bit)
Provides: libksba.so.8(KSBA_0.9)(64bit)
Provides: elf(buildid) = 2737a0931797862c96b42209bef50abe0bcea5f8
Provides: libksba

%description -n libksba8
Easy API to create and parse X.509 and CMS related objects.

%post -n libksba8
# libksba8 - postinst
#!/bin/sh
if [ x"$D" = "x" ]; then
	if [ -x /sbin/ldconfig ]; then /sbin/ldconfig ; fi
fi


%files -n libksba-dbg
%defattr(-,-,-,-)
%dir "/usr"
%dir "/usr/src"
%dir "/usr/lib64"
%dir "/usr/src/debug"
%dir "/usr/src/debug/libksba"
%dir "/usr/src/debug/libksba/1.3.0-r1"
%dir "/usr/src/debug/libksba/1.3.0-r1/libksba-1.3.0"
%dir "/usr/src/debug/libksba/1.3.0-r1/build"
%dir "/usr/src/debug/libksba/1.3.0-r1/libksba-1.3.0/src"
"/usr/src/debug/libksba/1.3.0-r1/libksba-1.3.0/src/certreq.c"
"/usr/src/debug/libksba/1.3.0-r1/libksba-1.3.0/src/crl.c"
"/usr/src/debug/libksba/1.3.0-r1/libksba-1.3.0/src/time.c"
"/usr/src/debug/libksba/1.3.0-r1/libksba-1.3.0/src/util.h"
"/usr/src/debug/libksba/1.3.0-r1/libksba-1.3.0/src/writer.c"
"/usr/src/debug/libksba/1.3.0-r1/libksba-1.3.0/src/ocsp.c"
"/usr/src/debug/libksba/1.3.0-r1/libksba-1.3.0/src/crl.h"
"/usr/src/debug/libksba/1.3.0-r1/libksba-1.3.0/src/der-encoder.c"
"/usr/src/debug/libksba/1.3.0-r1/libksba-1.3.0/src/keyinfo.c"
"/usr/src/debug/libksba/1.3.0-r1/libksba-1.3.0/src/util.c"
"/usr/src/debug/libksba/1.3.0-r1/libksba-1.3.0/src/oid.c"
"/usr/src/debug/libksba/1.3.0-r1/libksba-1.3.0/src/sexp-parse.h"
"/usr/src/debug/libksba/1.3.0-r1/libksba-1.3.0/src/reader.c"
"/usr/src/debug/libksba/1.3.0-r1/libksba-1.3.0/src/ber-decoder.c"
"/usr/src/debug/libksba/1.3.0-r1/libksba-1.3.0/src/asn1-func2.c"
"/usr/src/debug/libksba/1.3.0-r1/libksba-1.3.0/src/asn1-func.h"
"/usr/src/debug/libksba/1.3.0-r1/libksba-1.3.0/src/writer.h"
"/usr/src/debug/libksba/1.3.0-r1/libksba-1.3.0/src/asn1-func.c"
"/usr/src/debug/libksba/1.3.0-r1/libksba-1.3.0/src/ber-decoder.h"
"/usr/src/debug/libksba/1.3.0-r1/libksba-1.3.0/src/ber-help.c"
"/usr/src/debug/libksba/1.3.0-r1/libksba-1.3.0/src/name.c"
"/usr/src/debug/libksba/1.3.0-r1/libksba-1.3.0/src/cms.h"
"/usr/src/debug/libksba/1.3.0-r1/libksba-1.3.0/src/cms-parser.c"
"/usr/src/debug/libksba/1.3.0-r1/libksba-1.3.0/src/reader.h"
"/usr/src/debug/libksba/1.3.0-r1/libksba-1.3.0/src/ber-help.h"
"/usr/src/debug/libksba/1.3.0-r1/libksba-1.3.0/src/certreq.h"
"/usr/src/debug/libksba/1.3.0-r1/libksba-1.3.0/src/version.c"
"/usr/src/debug/libksba/1.3.0-r1/libksba-1.3.0/src/dn.c"
"/usr/src/debug/libksba/1.3.0-r1/libksba-1.3.0/src/cms.c"
"/usr/src/debug/libksba/1.3.0-r1/libksba-1.3.0/src/visibility.c"
"/usr/src/debug/libksba/1.3.0-r1/libksba-1.3.0/src/der-encoder.h"
"/usr/src/debug/libksba/1.3.0-r1/libksba-1.3.0/src/cert.h"
"/usr/src/debug/libksba/1.3.0-r1/libksba-1.3.0/src/cert.c"
"/usr/src/debug/libksba/1.3.0-r1/libksba-1.3.0/src/keyinfo.h"
"/usr/src/debug/libksba/1.3.0-r1/libksba-1.3.0/src/ksba.h"
"/usr/src/debug/libksba/1.3.0-r1/libksba-1.3.0/src/convert.h"
"/usr/src/debug/libksba/1.3.0-r1/libksba-1.3.0/src/ocsp.h"
%dir "/usr/src/debug/libksba/1.3.0-r1/build/src"
"/usr/src/debug/libksba/1.3.0-r1/build/src/asn1-tables.c"
%dir "/usr/lib64/.debug"
"/usr/lib64/.debug/libksba.so.8.11.1"

%files -n libksba-dev
%defattr(-,-,-,-)
%dir "/usr"
%dir "/usr/bin"
%dir "/usr/share"
%dir "/usr/lib64"
%dir "/usr/include"
"/usr/bin/ksba-config"
%dir "/usr/share/aclocal"
"/usr/share/aclocal/ksba.m4"
%dir "/usr/lib64/pkgconfig"
"/usr/lib64/libksba.so"
"/usr/lib64/libksba.la"
"/usr/lib64/pkgconfig/ksba.pc"
"/usr/include/ksba.h"

%files -n libksba-doc
%defattr(-,-,-,-)
%dir "/usr"
%dir "/usr/share"
%dir "/usr/share/info"
"/usr/share/info/ksba.info"

%files -n libksba8
%defattr(-,-,-,-)
%dir "/usr"
%dir "/usr/lib64"
"/usr/lib64/libksba.so.8.11.1"
"/usr/lib64/libksba.so.8"

